#include <iostream>

using namespace std;

int main()
{
    int n;
    cin >> n;

    int broj_pre_trazenog;
    cin >> broj_pre_trazenog;

    int lokacija_trazenog_broja;

    int karte[20000];
    for (int i = 0; i < n; i++ ){
        cin >> karte[i];
        if (karte[i] == broj_pre_trazenog){
            if (i == n - 1){
                lokacija_trazenog_broja = 0;
            }
            else {
                lokacija_trazenog_broja = i + 1;
            }
        }
    }
    cout << karte[lokacija_trazenog_broja];
}